defmodule Reactivity.Application do

  use Application

  def start(_type, _args) do
    import Supervisor.Spec, warn: false

    children = [
      supervisor(Reactivity.Registry, [[]]),
      supervisor(Reactivity.Builtins, [[]])
    ]
    opts = [strategy: :one_for_one, name: Reactivity.Application]
    Supervisor.start_link(children, opts)
  end
end
