defmodule Reactivity.Builtins do
  use GenServer

  alias Reactivity.Signal.Source

  require Logger

  import GenServer

  #######################
  # GenServer Interface #
  #######################

  def start_link([]) do
    start_link(__MODULE__, [], [{:name, __MODULE__}])
  end

  def init([]) do
    Logger.debug "Starting built-in signals.."
    {:ok, _t} = Source.new(fn(_old_value) -> Enum.random(0..500)      end, -1, 2000, :temperature)
    {:ok, _tg} = Source.new(fn(_old_value) -> :os.system_time(:second) end, :os.system_time(:second), 1000, :seconds)
    Logger.debug "Done"
    {:ok, %{}}
  end

end
